<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
        <link rel="stylesheet" type="text/css" href="styleExo1.css"/>
        <title>Exercice 1</title>
    </head>
    <body>
        <div id="container"></div>
        <script>
            const carre = document.createElement("div");
            carre.classList.add("carre");
            const container = document.querySelector("#container");
            container.appendChild(carre);
            const para = document.createElement("p");
            container.appendChild(para);
            const compStyles = window.getComputedStyle(carre);

        carre.addEventListener("click", function() {
        alert( "Hauteur : " + compStyles.height + "px" + " Largeur : " + compStyles.width + "px"
        + " Couleur de fond : " + compStyles.backgroundColor + " Couleur du texte : " + compStyles.color
        + " Police de caractère : " + compStyles.fontFamily + " Taille de la police : " + compStyles.fontSize)
        });
        </script>
    </body>
</html>